<?php
 /**
  * 
  * @package    Wookits
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOKITS_ALERT_MSG );
  }
 


class Wookits_price_hide{

    public static function init() {

        $hidePrice = get_option( 'wc_wookits_settings_tab_hidepric' );
        $hideAddCartbtn = get_option( 'wc_wookits_settings_tab_hidaddtocartbtn' );

        if( $hidePrice == 'yes' ) {

            if( ! is_user_logged_in() ) {

                add_filter( 'woocommerce_get_price_html', __CLASS__.'::shop_and_single_page_price_hide' );
                add_filter( 'woocommerce_cart_item_price', '__return_false' );
                add_filter( 'woocommerce_cart_item_subtotal', '__return_false' );
                add_action( 'wp_footer', __CLASS__.'::price_hide_css' );
                remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cart_totals', 10 );
            }
        
        }

        if( $hideAddCartbtn == 'yes' ) {
            if( ! is_user_logged_in() ) {
                remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart');
                remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30);
            }
        }

    }

    public static function shop_and_single_page_price_hide( $price ) {
        return '';
    }

    public static function price_hide_css() {
        ?>
        <style>
            /* Cart widget */
            .woocommerce-mini-cart__total {
                display: none;
            }

            /* Cart */
            .product-price, .product-subtotal {
                display: none !important;
            }

            /* Checkout */
            .product-total *, th.product-total {
                display: none;
            }
        </style>
        <?php
    }


}

Wookits_price_hide::init();
